## ros-foxy-ros-ign-gazebo-demos 0.221.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ros_ign_gazebo_demos)

find_package(ament_cmake REQUIRED)

install(
  DIRECTORY
    launch/
  DESTINATION share/${PROJECT_NAME}/launch
)

install(
  DIRECTORY
    rviz/
  DESTINATION share/${PROJECT_NAME}/rviz
)

install(
  DIRECTORY
    models/
  DESTINATION share/${PROJECT_NAME}/models
)

ament_package()

=== debian/changelog ===
ros-foxy-ros-ign-gazebo-demos (0.221.2-1focal) focal; urgency=high

  * Joint states tutorial (#156 <https://github.com/osrf/ros_ign/issues/156>)
    Adds an rrbot model to demos and shows the usage of joint_states plugin.
  * [ros2] Minor updates for demos (#144 <https://github.com/osrf/ros_ign/issues/144>)
    * Re-enable air pressure demo
    - Resolves https://github.com/ignitionrobotics/ros_ign/issues/78
    * Add RQt topic viewer to IMU demo
    * Add image_topic argument for image_bridge demo
    * Do not normalize depth image in RViz2
  * [foxy] Edifice support (#140 <https://github.com/osrf/ros_ign/issues/140>)
  * Add topic flag to create robot  (#128 <https://github.com/osrf/ros_ign/issues/128>)
    Now it is possible to run ros_ign_gazebo create specifying a topic as
    source of the robot description
    Add a launch file starting a ignition gazebo world and spawn a sphere in it.
    Additionally a rviz2 interface is loaded to show that also Rviz can load
    the robot description
    The newly created demo introduce a dependency on the robot_state_publisher package
  * [ros2] Update releases (#108 <https://github.com/osrf/ros_ign/issues/108>)
  * Contributors: Andrej Orsula, Louise Poubel, Valerio Magnago, Vatan Aksoy Tezer

 -- Louise Poubel <louise@openrobotics.org>  Tue, 20 Jul 2021 07:00:00 -0000

ros-foxy-ros-ign-gazebo-demos (0.221.1-1focal) focal; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Wed, 19 Aug 2020 07:00:00 -0000

ros-foxy-ros-ign-gazebo-demos (0.221.0-1focal) focal; urgency=high

  * Updated launch file to use ros_ign_gazebo (#82 <https://github.com/osrf/ros_ign/issues/82>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Use new ros_ign_gazebo package on ROS 2 demos (#85 <https://github.com/osrf/ros_ign/issues/85>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * [WIP] Port ign_ros_gazebo_demos to ROS2 (#58 <https://github.com/osrf/ros_ign/issues/58>)
    Port ros_ign_image to ROS2
    Port ros_ign_gazebo_demos to ROS2
  * Enable ROS2 CI for Dashing branch (#43 <https://github.com/osrf/ros_ign/issues/43>)
  * Make all API and comments ROS-version agnostic
  * Rename packages and fix compilation + tests
  * Move files ros1 -> ros
  * Contributors: Alejandro Hernández Cordero, Jose Luis Rivero, Louise Poubel, chapulina

 -- Louise Poubel <louise@openrobotics.org>  Thu, 23 Jul 2020 07:00:00 -0000

ros-foxy-ros-ign-gazebo-demos (0.7.0-1focal) focal; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Thu, 15 Aug 2019 07:00:00 -0000

ros-foxy-ros-ign-gazebo-demos (0.6.3-1focal) focal; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Sun, 04 Aug 2019 07:00:00 -0000

ros-foxy-ros-ign-gazebo-demos (0.6.2-1focal) focal; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Sun, 04 Aug 2019 07:00:00 -0000

ros-foxy-ros-ign-gazebo-demos (0.6.1-1focal) focal; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Sun, 04 Aug 2019 07:00:00 -0000

ros-foxy-ros-ign-gazebo-demos (0.6.0-1focal) focal; urgency=high

  * Image bridge using image_transport (#34 <https://github.com/osrf/ros1_ign_bridge/issues/34>)
    * Image bridge using image_transport
    * tests for image
    * correct metapackage
    * tests with catkin
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
    * Revert changes from #32 <https://github.com/osrf/ros1_ign_bridge/issues/32>
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Revert "Pointcloud bridge demo for depth camera"
    This reverts commit 094cd40f21aed734d59c204172ad5afd7a26c8d6.
  * Pointcloud bridge demo for depth camera
  * Contributors: Louise Poubel, chapulina
  * 0.5.0
  * Battery state (#30 <https://github.com/osrf/ros1_ign_bridge/issues/30>)
  * Packed demo (#29 <https://github.com/osrf/ros1_ign_bridge/issues/29>)
    * adding demo for point cloud packed bridge
    * correct rviz file
    * RGBD bridged cloud demo
  * Merge pull request #28 <https://github.com/osrf/ros1_ign_bridge/issues/28> from osrf/pointcloudpacked
    Bridge point cloud packed
  * Contributors: Nate Koenig, chapulina
  * Battery state (#30 <https://github.com/osrf/ros1_ign_bridge/issues/30>)
  * Packed demo (#29 <https://github.com/osrf/ros1_ign_bridge/issues/29>)
    * adding demo for point cloud packed bridge
    * correct rviz file
    * RGBD bridged cloud demo
  * Merge pull request #28 <https://github.com/osrf/ros1_ign_bridge/issues/28> from osrf/pointcloudpacked
    Bridge point cloud packed
  * Contributors: Nate Koenig, chapulina

 -- Louise Poubel <louise@openrobotics.org>  Fri, 02 Aug 2019 07:00:00 -0000

ros-foxy-ros-ign-gazebo-demos (0.4.0-1focal) focal; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Tue, 16 Jul 2019 07:00:00 -0000

ros-foxy-ros-ign-gazebo-demos (0.3.1-1focal) focal; urgency=high

  * Merge pull request #24 <https://github.com/osrf/ros1_ign_bridge/issues/24> from osrf/fix_dep
    ignition-gazebo2 needed at build time
  * ignition-gazebo2 needed at build time
  * Contributors: Jose Luis Rivero

 -- Louise Poubel <louise@openrobotics.org>  Mon, 01 Jul 2019 07:00:00 -0000

ros-foxy-ros-ign-gazebo-demos (0.3.0-1focal) focal; urgency=high

  * 0.2.0
  * Merge pull request #21 <https://github.com/osrf/ros1_ign_bridge/issues/21> from osrf/lidar
    Point clouds from lidars
  * Conversion between nav_msgs/Odometry and ignition::msgs::Odometry (#22 <https://github.com/osrf/ros1_ign_bridge/issues/22>)
    * Conversion between nav_msgs/Odometry and ignition::msgs::Odometry.
    * Update documentation.
    * More time to run tests
    * Cleaning test_utils.
    * Remove explicit ROS dependencies for Travis.
    * diff drive demo with cmd_vel and odom
    * process child frame id
  * final tweaks
  * PC2 for gpu_lidar, 1 vertical sample
  * Start of lidar PC
  * Fluid pressure (#20 <https://github.com/osrf/ros1_ign_bridge/issues/20>)
    * screenshots
    * missing IMU
    * Fluid pressure


=== debian/control ===
Source: ros-foxy-ros-ign-gazebo-demos
Section: misc
Priority: optional
Maintainer: Louise Poubel <louise@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-ros-ign-gazebo-demos
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libignition-gazebo3-dev, ros-foxy-image-transport-plugins, ros-foxy-robot-state-publisher, ros-foxy-ros-ign-bridge, ros-foxy-ros-ign-gazebo, ros-foxy-ros-ign-image, ros-foxy-rqt-image-view, ros-foxy-rqt-plot, ros-foxy-rqt-topic, ros-foxy-rviz2, ros-foxy-xacro, ros-foxy-ros-workspace
Description: Demos using Ignition Gazebo simulation with ROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-ros-ign-gazebo-demos//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
